.debug {
    /*border: 1px solid #ddd;*/
}

.dev-container {
    position: relative;

}

pre code {
    overflow-x: clip !important
}

.dev-draw-container {
    aspect-ratio: 16/9;
    max-height: calc(100svH - var(--padding) * 4 - var(--menutop));
    width: 100%;
    position: relative;
}

@media (orientation: portrait) and (max-width: 768px) {
    .dev-draw-container {
        aspect-ratio: 2/3;
    }
}

@media (min-width: 768px) {
    .dev-draw-container {
        aspect-ratio: 1;
    }
}

.code-holder {
    position: relative;
    justify-content: center;
    align-items: center;
    display: flex;
}

.code-holder .codebuttonsholder {
    width: 60px;
    margin-right: var(--padding);
    position: sticky;
    top: calc(var(--padding) * 3);
}

.codebuttonsholder .codebuttonsinner {
    border-right: 1px solid var(--gridcolor);
}

.step-box-container {
    display: flex;
    align-items: center;
    aspect-ratio: 1;
    width: 100%;
    text-align: right;
    justify-content: center;
    position: relative;
}

.codewindow {
    position: relative;
    display: flex;
    flex-direction: column;
}

.codeview {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    /*margin-right: var(--padding);*/
}

.codehead {
    --cols: 4;
    width: 100%;
    /* height: fit-content; */
    flex-shrink: 1;
    display: flex;
    margin-bottom: 5px;
    border-bottom: 1px solid var(--gridcolor-43);
    overflow: clip;
}

.codehead .taskhead {
    font-size: calc(var(--mainfont) * .86);
    padding: calc(var(--padding) / 4) calc(var(--padding) / 2);
    position: relative;
    z-index: 2;
    background-color: var(--bgcolor-43);
    opacity: 0;
    float: left;
    width: calc(100% / var(--cols));
    max-width: calc(100% / var(--cols));
    overflow: hidden;
    white-space: nowrap;
    line-height: 1;
}

.codehead .taskhead i {
    margin-right: 5px;
    float: left;
}


.taskhead.loaded {
    opacity: 1;
}

.codehead .taskhead:before {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    right: 0;
    height: 0;
    transition: height ease .3s;
    background-color: var(--gridcolor);
}

.codehead .taskhead.active {
    background-color: var(--bgcolor-86);
}

.codehead .taskhead.active:before {
    height: 4px;
}

.code-box-container {
    /* background: red; */
    align-self: stretch;
    flex-grow: 1;
    /* background-color: purple; */
    position: relative;
    border: 1px solid var(--gridcolor-43);
    overflow: hidden;
    background: var(--static-black);
}

.hljs {
    background-color: transparent !important
}

pre {
    page-break-inside: avoid;
    font-family: monospace;
    line-height: 1.6;
    max-width: 100%;
    overflow: auto;
    display: block;
    word-wrap: break-word;
}

.piece {
    display: block;
    height: 100%;
    left: 0;
    top: 0;
    width: 100%;
}

.scanlines {
    background: linear-gradient(
            to bottom,
            rgba(255, 255, 255, 0),
            rgba(255, 255, 255, 0) 50%,
            rgba(0, 0, 0, 0.2) 70%,
            rgba(0, 0, 0, 0.6)
    );
    background-size: 100% 0.3rem;
    position: absolute;
    pointer-events: none;
}

.code-box p {
    color: var(--gridcolor-43);
}

.glowholder {
    position: absolute;
    inset: 0;
    pointer-events: none;
}

.glow {
    animation: crt-glow 60s infinite;
    background: radial-gradient(
            circle at center,
            rgba(255, 255, 255) 0%,
            rgba(200, 200, 200, 0.88) 58%,
            rgba(150, 150, 150, 0.57) 80%,
            rgba(100, 100, 100, 0.27) 93%,
            rgba(50, 50, 50, 0) 100%
    );
    filter: blur(010rem) opacity(0.1);
    opacity: 0.15;
    pointer-events: none;
    position: absolute;
}

@keyframes crt-glow {
    0% {
        opacity: 0.1;
    }
    50% {
        opacity: 0.2;
    }
}

/*
            .dev-draw-container .step-box-container {
                flex-grow: 1;
                background-color: var(--bgcolor-43);
                padding: calc(var(--padding) / 4);
            }

            .dev-draw-container .step-box-container i {
                color: #fff;
            }*/

.dev-draw-container .step-box {
    background-color: #333;
    padding: 5px;
    margin: 5px;
    border: 1px solid #333;
}

/*

            .dev-draw-container .step-box-container .step-box-stack {
            }

            .dev-draw-container .step-box-container .step-box-stack i {
                padding: 5px;
                margin: 5px;
                color: #fff;
                background-color: #333;
            }
*/
.dev-code-container {
    position: absolute;
    inset: var(--padding);
    z-index: 1;
}

@media (min-width: 1200px) {
    .dev-draw-container {
        aspect-ratio: 16/9;
    }
}

.dev-result-container {
    position: absolute;
    top: 20%;
    left: 20%;
    width: 60%;
    height: 60%;
    background-color: #333;
    display: none;
}

.code-box {
    background-color: var(--static-black);
    padding: calc(var(--padding));
    height: 100%;
    position: absolute;
    inset: 0;
    overflow: hidden;
    clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
}

.code-box code {
    font-size: 11px;
}


.step-box-icon {
    text-align: center;
}

.step-container .accordionHolder {
    overflow: clip;
    background: var(--bgcolor-65);
    box-shadow: var(--mainshadow);
    backdrop-filter: blur(04px);
    transition: background-color ease .3s;
}

.step-container .accordionHolder:hover {
    background: var(--bgcolor-65);

}

.step-container .accordion-item {
    background-color: transparent;
    border-radius: 0 !important;
    border: 0;
    border-top: 1px solid var(--bgcolor-14);
    border-bottom: 1px solid var(--bgcolor-14);
    padding: 0 calc(var(--padding) / 2);
    margin-bottom: 0 !important;
}

.step-container .accordion-header {
    padding: calc(var(--padding) / 3) 0;
    background: none !important;
    background-color: transparent !important;
}

.step-container h4.accordion-header {
    font-size: 1.6rem;
    color: var(--textcolor);
}

.step-container .accordion-header[aria-expanded="true"] {
    color: var(--maincolor);
}

body.lightmode .step-container .accordion-header[aria-expanded="true"] {
    color: var(--seccolor);
}


.step-container .accordion-header {
    hover: opacity .86
}

.step-container .accordion-body {
    padding: calc(var(--padding) / 3) 0;
    color: var(--textcolor);
    font-size: 14px;
    padding-top: 0;
}

